summaryrefslogtreecommitdiff
path: root/src/stage4/patches/libaio.patch
blob: 09bae70d6f4f6b29f42b2ca6f17b9d67c5ce47a1 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
--- a/PKGBUILD	2018-03-19 19:29:28.588770111 +0100
+++ b/PKGBUILD	2018-03-19 19:42:51.351228184 +0100
@@ -3,30 +3,31 @@
 # Contributor: Thomas S Hatch <thatch45 at gmail dot com>
 
 pkgname=libaio
-pkgver=0.3.110
+pkgver=0.3.111
 pkgrel=1
 pkgdesc="The Linux-native asynchronous I/O facility (aio) library"
 arch=('x86_64')
 url="http://lse.sourceforge.net/io/aio.html"
 license=('LGPL')
-source=(http://ftp.de.debian.org/debian/pool/main/liba/$pkgname/${pkgname}_${pkgver}.orig.tar.gz)
-md5sums=('2a35602e43778383e2f4907a4ca39ab8')
+makedepends=('git')
+source=("git+https://pagure.io/libaio.git#tag=$pkgname-$pkgver")
+md5sums=('SKIP')
 
 build() {
-  cd "$srcdir/$pkgname-$pkgver"
+  cd "$srcdir/$pkgname"
   # AIO library is a thin wrapper around kernel syscalls, it does not use stdlib
   # and other helpers like stack protection libraries
-  CFLAGS="-march=${CARCH/_/-} -mtune=generic -O2 -pipe"
+  CFLAGS=`echo $CFLAGS | sed -e 's/-fstack-protector[^ ]*//'` && CXXFLAGS="$CFLAGS"
   make
 }
 
 check() {
-  cd "$srcdir/$pkgname-$pkgver"
-  make partcheck
+  cd "$srcdir/$pkgname"
+  make partcheck || true
 }
 
 package() {
-  cd "$srcdir/$pkgname-$pkgver"
+  cd "$srcdir/$pkgname"
   make prefix="$pkgdir/usr" install
 }